package com.keao.edu.user.api.enums;

import com.keao.edu.common.enums.BaseEnum;

/**
 * @Author Joburgess
 * @Date 2020.06.18
 **/
public enum ExamModeEnum implements BaseEnum<String, ExamModeEnum> {

    ONLINE("ONLINE", "线上"), OFFLINE("OFFLINE", "线下");

    private String code;

    private String msg;

    ExamModeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }}
